Skip to content

workflow_run_start

Start a run of an enabled workflow that declares a manual trigger.

Tool

workflow_run_start

Start a run of an enabled workflow that declares a manual trigger.

Start a run of an enabled workflow that declares a manual trigger. The idempotency key makes a repeated start return the first one instead of a second run.

Behavior

HTTP
POST /workflow/runs/start

Arguments

Name
Type
Required
Description
input
object
—
No description in the catalog.
workflow_id
string
•
No description in the catalog.
idempotency_key
string
•
No description in the catalog.

Response

Field
Type
Always
Description
run_id
string
—
event_id
string
•
deduplicated
boolean
•

Try it

Start a run of an enabled workflow that declares a manual trigger.

When to use

Start a run of an enabled workflow that declares a manual trigger. The idempotency key makes a repeated start return the first one instead of a second run.

Example

Ask your agent something like this:

Start a run of an enabled workflow that declares a manual trigger.

The agent will invoke workflow_run_start with these arguments:

{
  "workflow_id": "<workflow_id>",
  "idempotency_key": "<idempotency_key>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select